
From: Dave Hansen <haveblue@us.ibm.com>

This gives DISCONTIGMEM a bit more help text to explain what it does, not just
when to choose it.

Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/Kconfig |   10 ++++++++++
 1 files changed, 10 insertions(+)

diff -puN mm/Kconfig~mm-kconfig-give-discontig-more-help-text mm/Kconfig
--- 25/mm/Kconfig~mm-kconfig-give-discontig-more-help-text	Mon Apr 11 16:19:50 2005
+++ 25-akpm/mm/Kconfig	Mon Apr 11 16:19:50 2005
@@ -23,6 +23,16 @@ config DISCONTIGMEM_MANUAL
 	bool "Discontigious Memory"
 	depends on ARCH_DISCONTIGMEM_ENABLE
 	help
+	  This option provides enhanced support for discontiguous
+	  memory systems, over FLATMEM.  These systems have holes
+	  in their physical address spaces, and this option provides
+	  more efficient handling of these holes.  However, the vast
+	  majority of hardware has quite flat address spaces, and
+	  can have degraded performance from extra overhead that
+	  this option imposes.
+
+	  Many NUMA configurations will have this as the only option.
+
 	  If unsure, choose "Flat Memory" over this option.
 
 endchoice
_
